// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.

// <auto-generated/>

#nullable disable

using Azure;
using Azure.Core;

namespace Azure.Security.KeyVault.Administration
{
    internal class ServiceFullRestoreOperationHeaders
    {
        private readonly Response _response;
        public ServiceFullRestoreOperationHeaders(Response response)
        {
            _response = response;
        }
        /// <summary> The recommended number of seconds to wait before calling the URI specified in Azure-AsyncOperation. </summary>
        public int? RetryAfter => _response.Headers.TryGetValue("Retry-After", out int? value) ? value : null;
        /// <summary> The URI to poll for completion status. </summary>
        public string AzureAsyncOperation => _response.Headers.TryGetValue("Azure-AsyncOperation", out string value) ? value : null;
    }
}
